17611538698
webmaster@21cto.com

Linux 内核最新高危提权漏洞:脏管道 (Dirty Pipe)

作者 场长 分类 安全 03月11日

图片


近日来自 CM4all 的安全研究员 Max Kellermann 在为客户追踪损坏 Web 服务器访问日志的过程中发现了一个新的Linux (CVE-2022-0847) 漏洞。


图片


CVE-2022-0847 影响 Linux 内核 5.8 及后续版本,甚至影响安卓设备上的 Linux 版本。它允许非特权用户在只读文件中注入或重写数据,从而导致权限提升,并最终获得 root 权限。


CVE-2022-0847 的漏洞原理类似于 2016 年修复的 CVE-2016-5195 脏奶牛漏洞(Dirty Cow),但它更容易被利用。


漏洞作者将此漏洞命名为“Dirty Pipe”,该漏洞 CVSS 评分为 7.8,危害等级为高危。


目前此漏洞的 PoC/EXP 已经发布。


按照安卓系统的要求,大量新发布的安卓 12 手机正在使用 Linux 内核 5.8 及后续版本,因此这些设备将受到影响,包括搭载骁龙 8 Gen 1、天玑 8000 系列、天玑 9000、Exynos 2200 和谷歌 Tensor 的设备等。


图片


虽然该漏洞已在 Linux 内核 5.16.11、5.15.25 和 5.10.102 中修复,但是大量 Linux 服务器目前并未升级,还在使用受漏洞影响的内核版本。


值得注意的是虽然此漏洞的利用方式要比“脏奶牛漏洞”稍微麻烦点,但恶意人员利用该漏洞发动攻击只是时间问题。


所以研究人员建议用户检查所使用的 Linux 服务器的内核版本,若是 5.8 以上的版本请尽快升级!


参考链接:https://dirtypipe.cm4all.com/


评论